﻿#loading-spinner {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.8);
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column; /* วาง icon และข้อความในแนวตั้ง */
}

    #loading-spinner .spinner-container {
        text-align: center;
    }


.noti-save-draft-parent{
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    height: 100%;
    width: 100%;
    z-index: 999;
}
/* Overlay เพื่อป้องกันการคลิก */
#loading-overlay-save-draft {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    inset: 0;
    background: rgba(0, 0, 0, 0.2);
    z-index: 9998;
    cursor: not-allowed;
}

/* Notification Container */
.noti-box-save-draft {
    /*display: none;*/
    position: fixed;
    /*z-index: 9999;*/
    min-width: 280px;
    box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1);
}
